import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/hotdoujiang/e6064faca930a996230aa4dc3ccd8db0/raw/6acade87de39f4f1c492a5d6dbd7096e1d1c2d64/2018GlobalTerror.csv';

const row = d => {
  
  d.year = +d.year;
  d.month = +d.month;
  d.day = +d.day;
  d.latitude = +d.latitude;
  d.longitude = +d.longitude;
  d.nwound = +d.nwound;
  d.nkill = +d.nkill;
  d.nwoundkill = +d.nwoundkill;
  
  return d;
};

export const useGTD = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
